
-- DROP TABLE tl_level_factor;




CREATE TABLE tl_level_factor (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    from_score number(12) NULL,
    to_score number(12) NULL,
    color_code varchar2(200) NULL,
    factor_number number(12)  NULL,
    level_number number(12)  NULL,
    narrative_id number(12)  NULL
    );



ALTER TABLE tl_level_factor ADD    
    CONSTRAINT PK_tl_level_factor PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_level_factor_factor_number 
    ON tl_level_factor (factor_number);

    CREATE INDEX idx_tl_level_factor_level_number 
    ON tl_level_factor (level_number);

    CREATE INDEX idx_tl_level_factor_narrative_id 
    ON tl_level_factor (narrative_id);
